Summary: Prolog interpreter and compiler.
Name: swi-pl
Version: 3.2.6
Release: 1
Copyright: Distributable
Group: Development/Languages/Prolog
Packager: Justin Cormack <jpc1@doc.ic.ac.uk>
Source: ftp://swi.psy.uva.nl/pub/SWI-Prolog/pl-%{PACKAGE_VERSION}.tar.gz
Patch0: swi-pl-emacs.patch.gz
Patch1: swi-pl-powerpc.patch.gz
BuildRoot: /tmp/pl-root
URL: http://www.swi.psy.uva.nl/usr/jan/SWI-Prolog.html
%description
Edinburgh-style Prolog compiler including modules, autoload,
libraries, Garbage-collector, stack-expandor, C-interface,
GNU-readline and GNU-Emacs interface, very fast compiler.

GPL-type license.

%changelog
* Fri May 14 1999 David Kuester <kuestler@zeta.org.au>
- New source build version 3.2.6
- Split the single patch in two (emacs) and (powerpc)
* Fri Dec 25 1998 David Kuester <kuestler@zeta.org.au>
- New source build version 3.1.2
* Sun Nov 15 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- added changelog
- various tidying up things
- adjusted so will build on all architectures
- previous packagers:
- David Kuestler <kuestler@zeta.org.au>
- Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org>
- Adam P. Jenkins <ajenkins@cs.umass.edu>

%prep
%setup -n pl-%{PACKAGE_VERSION}
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif

%build
cd src
./configure --prefix=/usr --host=$RPM_ARCH-unknown-linux
make
cd ../lisp
make GNUEMACS=emacs
cd ..


%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,man/man1}
cd src
make install prefix=$RPM_BUILD_ROOT/usr
for f in pl pl-bite plld plrc; do \
            ( cd $RPM_BUILD_ROOT/usr/bin; rm -f $f; ln -s /usr/lib/pl-%{PACKAGE_VERSION}/bin/$RPM_ARCH-linux/$f . ); \
        done
cd ../lisp
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/qplisp
chmod 755 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/qplisp
cp *.el *.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/qplisp/
chmod 644 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/qplisp/*

%post
cat >> /usr/share/emacs/site-lisp/site-start.el <<EOF
;; swi-prolog-start
(setq load-path
      (nconc '(
	       "/usr/share/emacs/site-lisp/qplisp"
	       )
	     load-path))
(autoload 'run-prolog "swi-prolog19" "Run an inferior prolog process" t)
(autoload 'prolog-mode "swi-prolog19" "SWI-Prolog mode" t)
;; swi-prolog-end
EOF

%postun
ed /usr/share/emacs/site-lisp/site-start.el << EOF
/swi-prolog-start/,/swi-prolog-end/d
w
q
EOF

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/pl-%{PACKAGE_VERSION}

%files
%doc INSTALL INSTALL.notes LICENSE LSM PORTING README README.WIN 
%doc README.graphics README.linux README.msdos README.oldforeign 
%doc README.os2 README.sysv README.windows STAMP VERSION
/usr/bin/pl
/usr/bin/pl-bite
/usr/bin/plld
/usr/bin/plrc
/usr/include/SWI-Prolog.h
/usr/lib/pl-%{PACKAGE_VERSION}
/usr/man/man1/pl.1
/usr/man/man1/plld.1
/usr/man/man1/plrc.1
